/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright (C) 2014 Nanjing University, Nanjing, China
 */
 
package napping.domain.mc;

import napping.core.State;

/**
 *
 * @author Qing Da <daq@lamda.nju.edu.cn>
 */
public final class MountainCarState extends State {

    public double position;
    public double velocity;

    public MountainCarState(double p, double v) {
        this.position = p;
        this.velocity = v;
    }

    @Override
    public double[] extractFeature() {
        double[] fea = new double[3];
        fea[0] = 1;
        fea[1] = position;
        fea[2] = velocity;
        return fea;
    }
}
